cascading.flow.planner.iso.subgraph

## Interface SubGraphIterator

- All Superinterfaces:
    java.util.Iterator<ElementGraph>
  All Known Implementing Classes:
    ExpressionSubGraphIterator, IncludeRemainderSubGraphIterator, UniquePathSubGraphIterator

      public interface SubGraphIterator
      extends java.util.Iterator<ElementGraph>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumMultiMap` | `getAnnotationMap(ElementAnnotation[] annotations)`
    `ElementGraph` | `getElementGraph()`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Method Detail

    - #### getElementGraph

          ElementGraph getElementGraph()

    - #### getAnnotationMap

          EnumMultiMap getAnnotationMap(ElementAnnotation[] annotations)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.